Bug 143010 - installing ppd for star micro receipt printer did not work
installing ppd for star micro receipt printer did not work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 13:17 EST by Son To
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 18:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Son To 2004-12-15 13:17:43 EST
Description of problem:
Star Micro has a receipt printer with a cups driver
http://www.starmicronics.co.uk/products/printers/tsp600.html

I installed the ppd per their instruction, but printer gui did not
show the drivers. The cups web interface running on port 631 did show
the new drivers.  It seems the printer gui tool does not share the
same datastructures/configuration as cups.  Any change made from web
interface should be reflected in the printer GUI and vice versa
because the two interface should share the same underlying model.

I was able to add the printer using the cups web interface, but
printer did not print.  Next I tried importing the ppd from the
printer gui tool. The printer did print after adding it from printer
gui tool, but it was printing out junk (postscript actually, not the
content that I expected).

Version-Release number of selected component (if applicable):


How reproducible:
this is always reproduceable

Steps to Reproduce:
Following instruction from star micro to install cups ppd for their
printer:
1. ** Installation Procedure:
   a. copy file rastertostar (17,532 bytes) to /usr/lib/cups/filter
   b. copy file star_tsp613.ppd (26,174 bytes) to /usr/share/cups/model
   c. copy file star_tsp643.ppd (26,249 bytes) to /usr/share/cups/model
   b. copy file star_tsp700.ppd (26,924 bytes) to /usr/share/cups/model
   c. copy file star_tsp800.ppd (26,981 bytes) to /usr/share/cups/model


2. goto http://localhost:631 and add the printer. print a test page.

Actual results:
there is no output. the print job is aborted.

Expected results:
cups test page should print.

---
importing ppd from redhat printer tool:
1. open printer tool. Applications|System Settings|Printing.
2. Action|Import ppd
3. Exit and restart printer tool. 
4. Add printer using the imported drivers
5. print a test page

Actual results:
garbage (postscript code) was printed.


Expected results:
cups test page should print.


Additional info:
Following instruction from Star Micro to install ppd worked perfectly
on Mandrake 9 through Mandrake 10.1
Comment 1 Tim Waugh 2004-12-20 07:07:12 EST
There are several issues you mention -- please restrict them to one per bug report.

system-config-printer has never shared the underlying data store with CUPS; it
was never meant to, as it is spooler-neutral.  Changing this will mean a
re-write from scratch and is quite a while off, but yes it needs to be done and
will at some point I'm sure.

I'll take this bug report as "CUPS won't print using this PPD when configured
via localhost:631".  So, please try this:

cd /usr/share/cups/model
cupstestppd star_tsp613.ppd
cupstestppd star_tsp643.ppd
cupstestppd star_tsp700.ppd
cupstestppd star_tsp800.ppd

and report the results here.  Thanks.

Comment 2 Son To 2004-12-20 15:13:17 EST
Here is the result of running cupstestppd:

[root@gateway model]# cupstestppd star_tsp613.ppd
star_tsp613.ppd: PASS
        WARN    PCFileName longer than 8.3 in violation of PPD spec.
                REF: Pages 61-62, section 5.3.
[root@gateway model]# cupstestppd star_tsp643.ppd
star_tsp643.ppd: FAIL
      **FAIL**  BAD DefaultBeginDocLogoLower 144
                REF: Page 40, section 4.5.
      **FAIL**  BAD DefaultBeginDocLogoUpper 144
                REF: Page 40, section 4.5.
        WARN    PCFileName longer than 8.3 in violation of PPD spec.
                REF: Pages 61-62, section 5.3.
[root@gateway model]# cupstestppd star_tsp700.ppd
star_tsp700.ppd: PASS
        WARN    PCFileName longer than 8.3 in violation of PPD spec.
                REF: Pages 61-62, section 5.3.
[root@gateway model]# cupstestppd star_tsp800.ppd
star_tsp800.ppd: PASS
        WARN    PCFileName longer than 8.3 in violation of PPD spec.
                REF: Pages 61-62, section 5.3.
Comment 3 Tim Waugh 2005-03-30 10:04:47 EST
Please edit /etc/cups/cupsd.conf and set the LogLevel to 'debug2', then restart
cups with 'service cups restart'.  Then:

What's in the /var/log/cups/error_log file when you try to print using a queue
configured with one of these PPD files?
Comment 4 John Thacker 2006-04-27 18:09:38 EDT
No response from reporter for a year to info request, closing.

Note You need to log in before you can comment on or make changes to this bug.